Bug 116525 - Shadow is rendered wrong for box around some characters
Summary: Shadow is rendered wrong for box around some characters
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta2
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-03-20 20:12 UTC by Regina Henschel
Modified: 2018-03-28 23:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Borders defined in character styles (10.24 KB, application/vnd.oasis.opendocument.text)
2018-03-20 20:12 UTC, Regina Henschel
Details
Screenshot of LO 5.4 with 250% zoom (27.74 KB, image/png)
2018-03-20 20:13 UTC, Regina Henschel
Details
Screenshot of LO 6.0 (28.15 KB, image/png)
2018-03-20 20:14 UTC, Regina Henschel
Details
Screenshot of LO master (26.28 KB, image/png)
2018-03-20 20:14 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-03-20 20:12:46 UTC
Created attachment 140756 [details]
Borders defined in character styles

Open attached document. All boxes should have a large shadow.
It is OK in Version: 5.4.3.2 (x64)
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

It is totally broken, so that the borders are broken too in Version: 6.0.1.1 (x64)
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

The rendering of the borders is better now although the colors are switched compared to LO 5.4, but the shadow is still wrong. Version: 6.1.0.0.alpha0+ (x64)
Build ID: 4523a21c6bcf8d57ce90cf074e5b088b6e829e68
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL
Comment 1 Regina Henschel 2018-03-20 20:13:33 UTC
Created attachment 140757 [details]
Screenshot of LO 5.4 with 250% zoom
Comment 2 Regina Henschel 2018-03-20 20:14:07 UTC
Created attachment 140758 [details]
Screenshot of LO 6.0
Comment 3 Regina Henschel 2018-03-20 20:14:43 UTC
Created attachment 140759 [details]
Screenshot of LO master
Comment 4 Jacques Guilleron 2018-03-21 10:45:51 UTC
Hi Regina,

I reproduce with the same 32 bits versions
under Windows 7 Home.
Comment 5 raal 2018-03-21 13:36:50 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one? Thanks

bb5bf26c5211e9f47c546744d8eccc702bf1c5a9 is the first bad commit
commit bb5bf26c5211e9f47c546744d8eccc702bf1c5a9
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Jul 26 13:26:51 2017 -0700

    source sha:2ccde70d60d3a5074faf49260e8fe0ccdb91ff26
author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-05-22 15:55:38 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-05-30 08:50:31 +0200
commit	2ccde70d60d3a5074faf49260e8fe0ccdb91ff26 (patch)
tree	82555c2aac7ca37c30e1084a7a8069c71fc11fbc
parent	61ff1d919e317947c769e61eeda7f1bb8132f273 (diff)
teach redundantcast plugin about functional casts
Comment 6 Commit Notification 2018-03-23 07:30:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=327fd7ea7209c9131ac86757fa8d5ca925eeccb5

tdf#116525 writer, no shadow around box

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-03-28 14:16:51 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 8329f4541e27402d19729ae1588af8bfe61f7b49
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thank you Noel!!
Comment 8 Commit Notification 2018-03-28 23:09:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4027823b5aff2bc0503ed63baae64a33d75c6ffb&h=libreoffice-6-0

tdf#116525 writer, no shadow around box

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.